package com.bocloud.nms.model.veeam.job;

public class BackupScriptSettingsModel {

    private String scriptProcessingMode;
    private BackupScriptModel windowsScripts;
    private BackupScriptModel linuxScripts;

    public String getScriptProcessingMode() {
        return scriptProcessingMode;
    }

    public void setScriptProcessingMode(String scriptProcessingMode) {
        this.scriptProcessingMode = scriptProcessingMode;
    }

    public BackupScriptModel getWindowsScripts() {
        return windowsScripts;
    }

    public void setWindowsScripts(BackupScriptModel windowsScripts) {
        this.windowsScripts = windowsScripts;
    }

    public BackupScriptModel getLinuxScripts() {
        return linuxScripts;
    }

    public void setLinuxScripts(BackupScriptModel linuxScripts) {
        this.linuxScripts = linuxScripts;
    }

    @Override public String toString() {
        return "BackupScriptSettingsModel{" + "scriptProcessingMode='" + scriptProcessingMode + '\''
            + ", windowsScripts=" + windowsScripts + ", linuxScripts=" + linuxScripts + '}';
    }
}
